albums: []
description: ''
franchises: []
link: product/20959
meta:
  added_date: 2025-05-14T09:46
  edited_date: 2025-05-14T09:49
  fetched_date: 2025-12-07T10:57
  ttl: 86400
  visitors: 297
name: Alien Crush Returns
name_real: エイリアンクラッシュ・リターンズ
organizations: []
picture_full: https://media.vgm.io/products/95/20959/20959-1747244842.png
picture_small: https://thumb-media.vgm.io/products/95/20959/20959-1747244842.png
release_date: '2008-08-26'
releases:
- date: '2008-08-26'
  link: release/34246
  names:
    en: Alien Crush Returns
    ja: エイリアンクラッシュ・リターンズ
    ja-latn: Alien Crush Returns
  platform: Nintendo Wii
  region: Japan
type: Game
vgmdb_link: https://vgmdb.net/product/20959?perpage=99999
websites:
  Reference: []
